petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESNASMGetSubdomainVecs

Get the processor-local subdomain vectors

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNASMGetSubdomainVecs(SNES snes,PetscInt *n,Vec **x,Vec **y,Vec **b, Vec **xl)

Not Collective

### Input Parameters

SNES -the SNES context

### Output Parameters

| n | - the number of local subdomains
| x | - The subdomain solution vector
| y | - The subdomain step vector
| b | - The subdomain RHS vector
| xl | - The subdomain local vectors (ghosted)

### Keywords

SNES, NASM

### See Also

SNESNASM, SNESNASMGetSubdomains()

### Level

developer

### Location

src/snes/impls/nasm/nasm.c

### Implementations

SNESNASMGetSubdomainVecs_NASM in src/snes/impls/nasm/nasm.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages